net.sourceforge.jnlp

## Class InformationDesc

- java.lang.Object
- - net.sourceforge.jnlp.InformationDesc

-     public class InformationDesc
      extends java.lang.Object

  The information element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `DEFAULT` default description
    `static java.lang.Object` | `ONE_LINE` http://docs.oracle.com/javase/6/docs/technotes/guides/javaws/developersguide/syntax.html
    `static java.lang.Object` | `SHORT` short description
    `static java.lang.Object` | `TOOLTIP` tooltip description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationDesc(JNLPFile jnlpFile, java.util.Locale[] locales)` Create an information element object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addItem(java.lang.String key, java.lang.Object value)` Add an information item (description, icon, etc) under a specified key name.
    `AssociationDesc[]` | `getAssociations()` Returns the associations specified in the JNLP file
    `java.lang.String` | `getDescription()` Returns the default description for the application.
    `java.lang.String` | `getDescription(java.lang.Object kind)` Returns the application's description of the specified type.
    `java.lang.String` | `getDescriptionStrict(java.lang.Object kind)` Returns the application's description of the specified type.
    `java.net.URL` | `getHomepage()` Returns the application's homepage.
    `java.net.URL` | `getIconLocation(java.lang.Object kind, int width, int height)` Returns the URL of the icon closest to the specified size and kind.
    `IconDesc[]` | `getIcons(java.lang.Object kind)` Returns the icons specified by the JNLP file.
    `protected java.lang.Object` | `getItem(java.lang.Object key)` Returns the last item matching the specified key.
    `protected java.util.List<java.lang.Object>` | `getItems(java.lang.Object key)` Returns all items matching the specified key.
    `JNLPFile` | `getJNLPFile()` Returns the JNLPFile the information is for.
    `java.util.Locale[]` | `getLocales()` Returns the locales for the information.
    `RelatedContentDesc[]` | `getRelatedContents()` Returns the related-contents specified by this JNLP file
    `ShortcutDesc` | `getShortcut()` Returns the shortcut specified by this JNLP file
    `java.lang.String` | `getTitle()` Returns the application's title.
    `java.lang.String` | `getVendor()` Returns the application's vendor.
    `boolean` | `isOfflineAllowed()` Returns whether offline execution allowed.
    `boolean` | `isSharingAllowed()` Returns whether the resources specified in the JNLP file may be shared by more than one instance in the same JVM (JNLP extension).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONE_LINE

          public static final java.lang.Object ONE_LINE

      http://docs.oracle.com/javase/6/docs/technotes/guides/javaws/developersguide/syntax.html

    - #### SHORT

          public static final java.lang.Object SHORT

      short description

    - #### TOOLTIP

          public static final java.lang.Object TOOLTIP

      tooltip description

    - #### DEFAULT

          public static final java.lang.Object DEFAULT

      default description

  - ### Constructor Detail

    - #### InformationDesc

          public InformationDesc(JNLPFile jnlpFile,
                         java.util.Locale[] locales)

      Create an information element object.
      Parameters:
        `jnlpFile` - file that the information is for
        `locales` - the locales the information is for

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

      Returns the application's title.

    - #### getVendor

          public java.lang.String getVendor()

      Returns the application's vendor.

    - #### getHomepage

          public java.net.URL getHomepage()

      Returns the application's homepage.

    - #### getDescription

          public java.lang.String getDescription()

      Returns the default description for the application.

    - #### getDescription

          public java.lang.String getDescription(java.lang.Object kind)

      Returns the application's description of the specified type.
      Parameters:
        `kind` - one of Information.SHORT, Information.ONE_LINE, Information.TOOLTIP, Information.DEFAULT

    - #### getDescriptionStrict

          public java.lang.String getDescriptionStrict(java.lang.Object kind)

      Returns the application's description of the specified type.
      Parameters:
        `kind` - one of Information.SHORT, Information.ONE_LINE, Information.TOOLTIP, Information.DEFAULT

    - #### getIcons

          public IconDesc[] getIcons(java.lang.Object kind)

      Returns the icons specified by the JNLP file.
      Parameters:
        `kind` - one of IconDesc.SELECTED, IconDesc.DISABLED, IconDesc.ROLLOVER, IconDesc.SPLASH, IconDesc.DEFAULT
      Returns:
        an array of zero of more IconDescs of the specified icon type

    - #### getIconLocation

          public java.net.URL getIconLocation(java.lang.Object kind,
                                     int width,
                                     int height)

      Returns the URL of the icon closest to the specified size and kind. This method will not return an icon smaller than the specified width and height unless there are no other icons available.
      Parameters:
        `kind` - the kind of icon to get
        `width` - desired width of icon
        `height` - desired height of icon
      Returns:
        the closest icon by size or null if no icons declared

    - #### getLocales

          public java.util.Locale[] getLocales()

      Returns the locales for the information.

    - #### getJNLPFile

          public JNLPFile getJNLPFile()

      Returns the JNLPFile the information is for.

    - #### isOfflineAllowed

          public boolean isOfflineAllowed()

      Returns whether offline execution allowed.

    - #### isSharingAllowed

          public boolean isSharingAllowed()

      Returns whether the resources specified in the JNLP file may be shared by more than one instance in the same JVM (JNLP extension). This is an extension to the JNLP spec and will always return false for standard JNLP files.

    - #### getAssociations

          public AssociationDesc[] getAssociations()

      Returns the associations specified in the JNLP file

    - #### getShortcut

          public ShortcutDesc getShortcut()

      Returns the shortcut specified by this JNLP file

    - #### getRelatedContents

          public RelatedContentDesc[] getRelatedContents()

      Returns the related-contents specified by this JNLP file

    - #### getItem

          protected java.lang.Object getItem(java.lang.Object key)

      Returns the last item matching the specified key.

    - #### getItems

          protected java.util.List<java.lang.Object> getItems(java.lang.Object key)

      Returns all items matching the specified key.

    - #### addItem

          protected void addItem(java.lang.String key,
                     java.lang.Object value)

      Add an information item (description, icon, etc) under a specified key name.

Submit a bug or feature